// Copyright 2016 Orus.io. All rights reserved.

package model

import (
	"bitbucket.org/orus-io/go-xbus/api"
)

//go:generate yago --fmt

// Account holds identification information to let one connect to Xbus.
//yago:
type Account struct {
	Base
	Name   string            `yago:"unique_index=name"`
	Type   api.AccountType   `yago:"textmarshaled"`
	Status api.AccountStatus `yago:"textmarshaled"`
	CSR    string            `yago:"type=qb.Text()"`
	Cert   string            `yago:"type=qb.Text()"`
	APIKey string            `yago:"."`
}
